var fecha = new Date();
// JavaScript Document
function calendario(cFchI,cFchF){
	cFchI=new Date(fecha.getFullYear(), fecha.getMonth(), 1);
	nDay=cFchI.getDay()
	cFchF=new Date(fecha.getFullYear(), fecha.getMonth() + 1, 0) 
	fDay=cFchF.getDate()
	iDay=1
	fecha=new Date(fecha.getFullYear(), fecha.getMonth(), 1);
	console.log(fecha.getDay())
	console.log(fecha)
	Detalle="<table><tr><th>Domingo</th><th>Lunes</th><th>Martes</th><th>Miercoles</th><th>Jueves</th><th>Viernes</th><th>Sabado</th></tr><tr>"
	for (i=0;i<nDay;i++){
		Detalle+="<td><div class='sindia'></div></td>"
	}
	console.log(Detalle)
	//nDay=nDay+1
	for (row=iDay;row<=fDay; row++){
		nDay=nDay+1
		//dDay=fecha.getDay();
		//console.log(dDay)
		
		//fecha=fecha.setDate(fecha.getDate+1)
		Detalle+="<td><div id='"+row+"' class='condia'>"+row+"</div></td>"
		if(nDay%7 == 0){
			Detalle+="</tr><tr>"
		}
		
	}
	nDay=cFchF.getDay()
	if(nDay<=6){
		Detalle+="<td><div class='sindia'></div></td>"
	}
	Detalle+="</tr></table"
	//console.log(Detalle)
	
	franjah(cFchI,cFchF,Detalle)
}

function franjah(fIni,fFin,Detalle) {
	
	alert("entro")
	//cCondicion=" turnos.fchini>="+fIni.toLocaleDateString()+" and turnos.fchini<="+fFin.toLocaleDateString()
	cCondicion=" turnos.fchini>='2023-03-01' and turnos.fchini<='2023-03-31'"
	url="modulo=turnosxsala";
	url+="&campo="+'';
	url+="&valor=2";
	url+="&condicion="+cCondicion
	cOrden="turnos.fchini,turnos.abvfranja"
	url+="&orden="+cOrden
	url+="&tipo="+"l";
	url+="&accion="+"b";
	url+="&codemp="+VGempresa;
	
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/registros/"
	doAjax(Rpage,url,'resp_nmodulos_hxc','gets','0','Ccargar');
	//document.getElementById("mdi_tablero").innerHTML=Detalle;
}
function resp_nmodulos_hxc(ResTex){
	console.log(ResTex)
}